MicronautGroovyPropertySourceLoader (Grails 6.0.0)

Package: org.grails.core.cfg

## [Groovy] Class MicronautGroovyPropertySourceLoader

- org.grails.core.cfg.MicronautGroovyPropertySourceLoader

-     @groovy.transform.CompileStatic
      class MicronautGroovyPropertySourceLoader
      extends io.micronaut.context.env.AbstractPropertySourceLoader

  Loads properties from a Groovy script.

  Authors:
    Puneet Behl
  Since:
    4.0.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class io.micronaut.context.env.AbstractPropertySourceLoader` | `DEFAULT_POSITION, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MicronautGroovyPropertySourceLoader ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.core.env.MapPropertySource` | `createPropertySource(java.lang.String name, java.util.Map<java.lang.String, java.lang.Object> map, int order)`
    `` | `java.util.Set<java.lang.String>` | `getExtensions()`
    `` | `int` | `getOrder()`
    `` | `void` | `processEnvironmentSpecificProperties(java.lang.Object finalMap, java.util.Map<java.lang.String, java.lang.Object> propertySource)`
    `` | `protected void` | `processInput(java.lang.String name, java.io.InputStream input, java.util.Map<java.lang.String, java.lang.Object> finalMap)`
    `` | `protected java.util.Optional<java.io.InputStream>` | `readInput(org.springframework.core.io.ResourceLoader resourceLoader, java.lang.String fileName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class io.micronaut.context.env.AbstractPropertySourceLoader` | `io.micronaut.context.env.AbstractPropertySourceLoader#isLogEnabled(), io.micronaut.context.env.AbstractPropertySourceLoader#setLogEnabled(boolean), io.micronaut.context.env.AbstractPropertySourceLoader#getOrder(), io.micronaut.context.env.AbstractPropertySourceLoader#loadEnv(java.lang.String, io.micronaut.core.io.ResourceLoader, io.micronaut.context.env.ActiveEnvironment), io.micronaut.context.env.AbstractPropertySourceLoader#load(java.lang.String, io.micronaut.core.io.ResourceLoader), io.micronaut.context.env.AbstractPropertySourceLoader#read(java.lang.String, java.io.InputStream), io.micronaut.context.env.AbstractPropertySourceLoader#wait(long), io.micronaut.context.env.AbstractPropertySourceLoader#wait(long, int), io.micronaut.context.env.AbstractPropertySourceLoader#wait(), io.micronaut.context.env.AbstractPropertySourceLoader#equals(java.lang.Object), io.micronaut.context.env.AbstractPropertySourceLoader#toString(), io.micronaut.context.env.AbstractPropertySourceLoader#hashCode(), io.micronaut.context.env.AbstractPropertySourceLoader#getClass(), io.micronaut.context.env.AbstractPropertySourceLoader#notify(), io.micronaut.context.env.AbstractPropertySourceLoader#notifyAll(), io.micronaut.context.env.AbstractPropertySourceLoader#load(io.micronaut.context.env.Environment), io.micronaut.context.env.AbstractPropertySourceLoader#isEnabled(), io.micronaut.context.env.AbstractPropertySourceLoader#getExtensions(), io.micronaut.context.env.AbstractPropertySourceLoader#read(java.lang.String, [B)`

- - ### Constructor Detail

    - #### MicronautGroovyPropertySourceLoader()

  - ### Method Detail

    - #### @java.lang.Override protected org.springframework.core.env.MapPropertySource createPropertySource(java.lang.String name, java.util.Map<java.lang.String, java.lang.Object> map, int order)

    - #### @java.lang.Override java.util.Set<java.lang.String> getExtensions()

    - #### @java.lang.Override int getOrder()

    - #### void processEnvironmentSpecificProperties(java.lang.Object finalMap, java.util.Map<java.lang.String, java.lang.Object> propertySource)

    - #### @java.lang.Override protected void processInput(java.lang.String name, java.io.InputStream input, java.util.Map<java.lang.String, java.lang.Object> finalMap)

    - #### @java.lang.Override protected java.util.Optional<java.io.InputStream> readInput(org.springframework.core.io.ResourceLoader resourceLoader, java.lang.String fileName)